# ReflectionParameter::getClass

(PHP 5, PHP 7, PHP 8)

ReflectionParameter::getClass — Obtener la clase con declaraciones de tipos

### Descripción

public ReflectionParameter::getClass(): ReflectionClass

Obtiene la clase con declaraciones de tipos para el parámetro como un objeto ReflectionClass.

Advertencia

Esta función no está documentada actualmente, solamente se encuentra disponible la lista de parámetros.

### Parámetros

Esta función no tiene parámetros.

### Valores devueltos

Un objeto ReflectionClass.

### Ejemplos

Ejemplo #1 Utilizar la clase ReflectionParameter

`<?php
function foo(Exception $a) { }
$functionReflection = new ReflectionFunction('foo');
$parameters = $functionReflection->getParameters();
$aParameter = $parameters[0];
echo $aParameter->getClass()->name;
?>`

El resultado del ejemplo sería:

    Exception

### Ver también

- ReflectionParameter::getDeclaringClass() - Obtiene declaración de la clase